GroovyClassLoader.ClassCollector (Groovy 3.0.9)

Package groovy.lang

## Class GroovyClassLoader.ClassCollector

- java.lang.Object
- - groovy.lang.GroovyClassLoader.ClassCollector

- All Implemented Interfaces:
    `CompilationUnit.ClassgenCallback`
  Enclosing class:
    GroovyClassLoader

      public static class GroovyClassLoader.ClassCollector
      extends Object
      implements CompilationUnit.ClassgenCallback

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ClassCollector​(GroovyClassLoader.InnerLoader cl, CompilationUnit unit, SourceUnit su)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)` |
    `protected Class` | `createClass​(byte[] code, ClassNode classNode)` |
    `GroovyClassLoader` | `getDefiningClassLoader()` |
    `Collection` | `getLoadedClasses()` |
    `protected Class` | `onClassNode​(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassCollector

          protected ClassCollector​(GroovyClassLoader.InnerLoader cl,
                                   CompilationUnit unit,
                                   SourceUnit su)

  - ### Method Detail

    - #### getDefiningClassLoader

          public GroovyClassLoader getDefiningClassLoader()

    - #### createClass

          protected Class createClass​(byte[] code,
                                      ClassNode classNode)

    - #### onClassNode

          protected Class onClassNode​(org.objectweb.asm.ClassWriter classWriter,
                                      ClassNode classNode)

    - #### call

          public void call​(org.objectweb.asm.ClassVisitor classWriter,
                           ClassNode classNode)

      Specified by:
        `call` in interface `CompilationUnit.ClassgenCallback`

    - #### getLoadedClasses

          public Collection getLoadedClasses()